API ReferenceDeliveries
Get delivery details
Returns delivery details including all retry attempts.
GET
/v1/deliveries/{deliveryId}Authorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Path Parameters
deliveryId*string
Delivery ID
Response Body
application/json
application/json
application/json
curl -X GET "https://api.npayload.com/v1/deliveries/string"{
"id": "string",
"messageId": "string",
"subscriptionId": "string",
"status": "pending",
"attempts": 0,
"lastAttemptAt": "2019-08-24T14:15:22Z",
"nextRetryAt": "2019-08-24T14:15:22Z",
"response": {
"status": 0,
"body": "string",
"latencyMs": 0
},
"createdAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Was this page helpful?